{include file="core/partFilter.tpl" arr=$arr}

<div id="tagformcontainer_{$arr.overviewID}" class="tagBox ui-corner-all">
	<form id="tagform_{$arr.overviewID}" method="post" onsubmit="saveNewTags('{$arr.view}','{$arr.overviewID}','{$arr.hidetagcount}'); $(window).unbind('beforeunload'); return false;">
		<input type="hidden" name="t_object" id="t_object_{$arr.overviewID}" value="" />
		<input type="text" name="t_tags" id="t_tags_{$arr.overviewID}" value="" />
		<input type="submit" name="savetags" value="" class="hide" />
        <a class="btn btn-mini btn-info" onclick="saveNewTags('{$arr.view}','{$arr.overviewID}','{$arr.hidetagcount}'); $(window).unbind('beforeunload');">{'btn_save'|l}</a>
	</form>
</div>

{if $arr}

	{assign var="oid" value=$arr.overviewID}
	
	{if $arr.activeBulk == 1}<form id="bulkZ{$oid}" name="bulkZ{$oid}" method="post">{/if}

    {if $arr.bulkFields}
   		{foreach from=$arr.bulkFields item=f key=bfield}
   			<input name="{$bfield}" type="{$f.type}" value="{$f.value}">
   		{/foreach}					
	{/if}
	
	<div class="bulkCnt ui-corner-top form-inline">
		{if $arr.activeBulk == 1}
			<div class="btn-group">
				<a href="{$pageself}&overviewID={$oid}&s={$arr.splittercurrpage}&selvisible=1{$arr.anchor}" class="btn btn-mini">{'all'|l}</a>
		    	<a href="{$pageself}&overviewID={$oid}&s={$arr.splittercurrpage}&selvisible=0{$arr.anchor}" class="btn btn-mini">{'none'|l}</a>
            </div> &nbsp;&nbsp;
		    <label for="setAction{$oid}" class="bold">{'selectedRecords'|l} <span id="bulk-{$oid}-selected" class="bulkSelectedCount">{$arr.bulkSelectedCount}</span></label> &nbsp; <a href="{$pageself}&overviewID={$oid}&s={$arr.splittercurrpage}&bulkreset=1{$arr.anchor}" title="{'resetWholeSelection'|l}"><span aria-hidden="true" data-icon="&#xe003;" title="{'remove'|l}"></span></a> &nbsp;&nbsp;&nbsp;
	        {if $arr.bulkOptions}
	        
	        	{assign var="optgroupstate" value="0"}
	        	<select name="baction" class="selectBulkAction" id="setAction{$oid}">
	        		<option value="">{'chooseAction'|l}</option>
	        		{foreach from=$arr.bulkOptions item=op key=poname}
	        			{if $op.type == 'group'}
	        				{if $optgroupstat == 1}
		        				</optgroup>
		        				<optgroup label="{$op.title}">
	        				{/if}
	        			
	        				{if $optgroupstat == 0}
		        				<optgroup label="{$op.title}">
		        				{assign var="optgroupstate" value="0"}
	        				{/if}
	        			{/if}
	        			{if $op.type == 'item'} <option value="{$poname}">{$op.title}</option>{/if}
	        		{/foreach}
	        	{if $optgroupstat == 1}</optgroup>{/if}
	        	</select>
	        	<input type="submit" value="ausführen" class="hide" />
			{/if}
		{/if}
		
        {if $arr.recordCount > 0}
	        {assign var="niceRecordCount" value=$arr.recordCount|number_format:0:"":"."}
        	<span class="floatR bold">
	        	{if $arr.filter|@count > 0}
	        		{if $arr.recordCount == 1}
	        			{'oneRecordFound'|l}
	        		{else}
	        			{'xRecordsFound'|l:$niceRecordCount}
	        		{/if}
	        	{else}
	        		{if $arr.recordCount == 1}
	        			{'oneRecordPresent'|l}
	        		{else}
	        			{'xRecordsPresent'|l:$niceRecordCount}
	        		{/if}
	        	{/if}
	       		{if $arr.activeBulk == 1}&nbsp;&nbsp;<a href="{$pageself}&overviewID={$oid}&s={$arr.splittercurrpage}&selall=1{$arr.anchor}" class="btn btn-mini btn-inverse">{'select'|l}</a>{/if}
        	</span>
        	<br class="clear" />
        {/if}
        
	</div>
	
	{if $arr.table.data|@count > 0}
	
		<table class="overview ov{$arr.view}" id="tabletwo">
			<tr>
				{foreach key=fkey item=field from=$arr.table.fields name=f1}
					{if $field.show == 1 && $field.systemhide == 0}
					
					<th class="{$field.align}">
						{if $field.headerhide == 1}
							&nbsp;
						{else}
							{* Sort *}
							{if $field.sortable == 1}
								<a href="{$pageself}&overviewID={$oid}&vsort={$fkey}&vdir={if $smarty.session.views.$oid.sort.direction == 'ASC'}DESC{else}ASC{/if}{$arr.anchor}">
							{/if}
							{* Sortrichtung *}
							{if $smarty.session.views.$oid.sort.expr == $fkey}
								{if $smarty.session.views.$oid.sort.direction == 'ASC'}
									<img src="{$path}lib/img/arrUp.gif" /> 
								{else}
									<img src="{$path}lib/img/arrDown.gif" />
								{/if}
							{/if}
							{$field.title}
							{if $field.sortable == 1}</a>{/if}
							{* Filter *}
							{if $field.filterable == 1}<a title="{'setFilters'|l}" href="#" onclick="prepareFilter('{$fkey}','{$field.datatype}','{$oid}');return false;"><span aria-hidden="true" data-icon="&#xe026;"></span></a>{/if}
						{/if}
					</th>
					
					{/if}
				{/foreach}
			</tr>
			{foreach key=dkey item=data from=$arr.table.data name=d1}
				<tr {if $smarty.foreach.d1.index % 2 == 0}class="row2"{/if}>
					{assign var="colCount" value=0}
					{foreach key=fkey item=field from=$arr.table.fields name=f2}
						{if $field.show == 1 && $field.systemhide == 0}
							<td class="{$field.align}{if $field.csstype} {$field.csstype}{/if}">{$data.$fkey|nl2br}</td>
							{assign var="colCount" value=$colCount+1}
						{/if}
					{/foreach}
				</tr>
			{/foreach}
		
			{if $arr.showtotals}
				<tr class="totals">
					{foreach key=fkey item=field from=$arr.table.fields name=f2}
						{if $field.show == 1 && $field.systemhide == 0}
							<td class="{$field.align}">
								{if $arr.table.totals.$fkey.total}
									{if $arr.table.totals.$fkey.grouped}
										{foreach key=gk item=t from=$arr.table.totals.$fkey.grouped name=tgrouped}
											<span class="totalOverview status{$gk}">{$t|gsalescurrency}</span><br />
										{/foreach}
									{/if}
									<strong>{$arr.table.totals.$fkey.total|gsalescurrency}</strong>
								{/if}
							</td>
						{/if}
					{/foreach}
				</tr>		
			{/if}
		
		</table>
		
	{else}
		
		<p class="center">
			{if $arr.filter|@count > 0}
				<big class="italic">{'noRecordsFoundCheckFiltersOrResetView'|l}</big>
			{else}
				<big class="italic">{'noRecordsAtTheMoment'|l}</big>
			{/if}
		</p>
		
	{/if}
		
	{if $arr.activeBulk == 1}</form>{/if}
	
	{if $arr.splitter}
		<div class="splitter ui-corner-bottom">
			{foreach key=spli item=s from=$arr.splitter name=sp1}
				{if $s.link}<a href="{$pageself}&overviewID={$oid}{$s.link}{$arr.anchor}">{/if}{$s.output}{if $s.link}</a>{/if}
			{/foreach}	
		</div>
	{/if}		
{/if}