{if $section == 'invoices'}<h1>{'head_editInvoice'|l}</h1>{/if}
{if $section == 'offers'}<h1>{'head_editOffer'|l}</h1>{/if}
{if $section == 'refunds'}<h1>{'head_editRefund'|l}</h1>{/if}
{if $section == 'contracts'}<h1>{'head_editRecurrence'|l}</h1>{/if}
{if $section == 'sales'}<h1>Auftrag bearbeiten</h1>{/if}
{if $section == 'deliveries'}<h1>Lieferschein bearbeiten</h1>{/if}

<h3>{'linkToCustomer'|l}</h3>

{include file="core/partCustomerForm.tpl" fieldId='customerid' caption=$loadCustomerName}

{if $section != 'contracts'}
	<p><small>{'linkRecordToCustomerFormFieldAutoFill'|l}</small></p>
{/if}

<br />

{include file="core/partStandardForm.tpl" f=$content.editInvoice l='btn_saveChanges'|l}

{* hidden form fields for tmp standars values *}
<input type="hidden" id="tmp_customer_company" value="">
<input type="hidden" id="tmp_customer_address" value="">
<input type="hidden" id="tmp_customer_zip" value="">
<input type="hidden" id="tmp_customer_city" value="">
<input type="hidden" id="tmp_customer_country" value="">
<input type="hidden" id="tmp_customer_title" value="">
<input type="hidden" id="tmp_customer_firstname" value="">
<input type="hidden" id="tmp_customer_lastname" value="">
<input type="hidden" id="tmp_print_contactperson" value="">
<input type="hidden" id="tmp_i_pre_txt" value="">
<input type="hidden" id="tmp_i_post_txt" value="">
<input type="hidden" id="tmp_template" value="">
<input type="hidden" id="tmp_payable" value="">

<script type="text/javascript">

	{literal}

	function suggCustomerPopulate(id){

		$.getJSON('{/literal}{$path}{literal}index.php?p=jajax&t=customerdata&c={/literal}{$section}{literal}&r='+id, function(data) {

			setSelectSearchCaption($('#customer'), data.companylabel);

			$("input[name='customer_company']").val(data.company);
			$("textarea[name='customer_address']").val(data.address);
			$("input[name='customer_zip']").val(data.zip);
			$("input[name='customer_city']").val(data.city);
			$("input[name='customer_country']").val(data.country);
			$("input[name='customer_title']").val(data.title);
			$("input[name='customer_firstname']").val(data.firstname);
			$("input[name='customer_lastname']").val(data.lastname);
			if (data.print_contactperson == 1) $("input[name='print_contactperson']").attr('checked', true);
			else $("input[name='print_contactperson']").attr('checked',false);
			$("textarea[name='i_pre_txt']").val(data.i_pre_txt);
			$("textarea[name='i_post_txt']").val(data.i_post_txt);
			$("select[name='template']").val(data.template);
			$("select[name='currency']").val(data.currency);
			$("input[name='payable']").val(data.payable);
			$("input[name='customers_id']").val(id);

			updateSelectCaptions();

			$('textarea').each(function(){
				if($.trim($(this).val()).length > 0){
					$(this).trigger('autosize');
				}
			});

		});
	}

	function suggCustomerFlush(){

		$("input[name='customers_id']").val('');

		// get back to defaults
		$("input[name='customer_company']").val($("#tmp_customer_company").val());
		$("textarea[name='customer_address']").val($("#tmp_customer_address").val());
		$("input[name='customer_zip']").val($("#tmp_customer_zip").val());
		$("input[name='customer_city']").val($("#tmp_customer_city").val());
		$("input[name='customer_country']").val($("#tmp_customer_country").val());
		$("input[name='customer_title']").val($("#tmp_customer_title").val());
		$("input[name='customer_firstname']").val($("#tmp_customer_firstname").val());
		$("input[name='customer_lastname']").val($("#tmp_customer_lastname").val());
		$("input[name='print_contactperson']").attr('checked',$("#tmp_print_contactperson").val());
		$("textarea[name='i_pre_txt']").val($("#tmp_i_pre_txt").val());
		$("textarea[name='i_post_txt']").val($("#tmp_i_post_txt").val());
		$("select[name='template']").val($("#tmp_template").val());
		$("select[name='currency']").val(0);
		$("input[name='payable']").val($("#tmp_payable").val());

		updateSelectCaptions();

	}

	function updateSelectCaptions(){
		setSelectCaption($('input[data-ac="custort"]'), $("input[name='customer_city']").val());
		setSelectCaption($('input[data-ac="custland"]'), $("input[name='customer_country']").val());
	}

	$(document).ready(function(){

		$("#tmp_customer_company").val($("input[name='customer_company']").val());
		$("#tmp_customer_address").val($("textarea[name='customer_address']").val());
		$("#tmp_customer_zip").val($("input[name='customer_zip']").val());
		$("#tmp_customer_city").val($("input[name='customer_city']").val());
		$("#tmp_customer_country").val($("input[name='customer_country']").val());
		$("#tmp_customer_title").val($("input[name='customer_title']").val());
		$("#tmp_customer_firstname").val($("input[name='customer_firstname']").val());
		$("#tmp_customer_lastname").val($("input[name='customer_lastname']").val());
		$("#tmp_print_contactperson").attr('checked', $("input[name='print_contactperson']"));
		$("#tmp_i_pre_txt").val($("textarea[name='i_pre_txt']").val());
		$("#tmp_i_post_txt").val($("textarea[name='i_post_txt']").val());
		$("#tmp_template").val($("select[name='template']").val());
		$("#tmp_payable").val($("input[name='payable']").val());

		{/literal}
		{if $loadCustomer}
			setSelectSearchCaption($('#customer'), '{$loadCustomerName}');
		{/if}
		{literal}
	});

	{/literal}

</script>