<div class="ui-helper-clearfix">
	{if $usercanedit}<a href="index.php?p=edit&iid={$idata.base.id}" class="btn btnEdit btn-info">{'edit'|llower}</a>{/if}
	<h1>{$titel} {$idata.base.invoiceno} {'fromInvoice'|l} {$idata.base.created|date_format}</h1> 
	{if $usercandelete}
		&nbsp; <a href="index.php?p=delete&iid={$idata.base.id}" class="confirm" title="{'removeRecord'|l}"><span aria-hidden="true" data-icon="&#xe008;"></span></a>
	{/if}
</div>

{* TABS *}
<div id="container-1">
	<ul>
		<li><a href="#invoice"><span>{$titel}</span></a></li>
		{if $type == 'invoices'}<li><a href="#dunning"><span>{'menu_dunning'|l}</span></a></li>{/if}
		<li><a href="#comments"><span>{'menu_comments '|l} ({$comments|@count})</span></a></li>
		<li><a href="#history"><span>{'menu_history'|l} ({$history|@count})</span></a></li>
	</ul>

	{* DOCUMENT *}
	<div id="invoice">
		
		{* CONTRACT DETAILS *}
		{if $type == 'contracts'}
			
			{if $idata.base.active != 1}
				<br /><div class="hint" style="width:764px;">{'inactiveRecurrence'|l}</div>
			{/if}

			<div id="documentInterval">
				<table>
					<tr>
						<td class="left">
							<span class="gray bold">{'startOfRecurrence'|l}</span><br />
							{if $idata.base.start}
								{$idata.base.start|date_format}
							{else}
								-
							{/if}
						</td>
						<td class="bold">
							<span class="gray">{'intervalOfBilling'|l}</span><br />
							{if $idata.base.interval == 1}
								{'everyMonth'|l}
							{else}
								{'everyXMonths'|l:$idata.base.interval}
							{/if}
							{if $idata.base.series_art == '0'}
								{'inAdvance'|l}
							{else}
								{'afterwards'|l}
							{/if}
						</td>
						<td class="right">
							<span class="gray bold">{'endOfRecurrence'|l}</span><br />
							{if $idata.base.stop}
								{$idata.base.stop|date_format}
							{else}
								<em>{'notSet'|l}</em>
							{/if}
						</td>
					</tr>
					<tr>
						<td class="small left">
						{if $idata.base.billed_until}
							{assign var='billeduntil' value=$idata.base.billed_until|date_format}
							{'billedUntilX'|l:$billeduntil}
						{else}
							<strong>{'notBilledYet'|l}</strong>
						{/if}
						</td>
						<td><a href="index.php?p=show&iid={$idata.base.id}&processNow=1" title="{'tip_processesNextActionImmediately'|l}" class="tip btn btn-mini">{'processImmediately'|l}</a></td>
						<td class="small right">
							{if $idata.base.duedate}
								<strong>{'nextPayableOn'|l}</strong> {$idata.base.duedate|date_format}
							{else}
								<strong>{'notLongerPayable'|l}</strong>
							{/if}
						</td>
					</tr>
				</table>				
			</div>
						
		{else}
		
			{* ACTIONS *}
			<div id="documentOptions">
				<table>
					<tr>
						{* STATUS *}
						{if $type == 'invoices' || $type == 'refunds'}
							{if $idata.base.status_id == 0}
								<td>
                                    <span aria-hidden="true" data-icon="&#xe01f;"></span><br />
									<a href="index.php?p=show&iid={$idata.base.id}&setState=1">{'setToPaid'|l}</a><br />
									<a href="index.php?p=show&iid={$idata.base.id}&setState=2">{'btn_cancelX'|l:$titel}</a>
								</td>
							{elseif $idata.base.status_id == 1 || $idata.base.status_id == 2}
								<td>
									<span aria-hidden="true" data-icon="&#xe01f;"></span><br />
									<a href="index.php?p=show&iid={$idata.base.id}&setState=0">{'setToPending'|l}</a>
								</td>
							{/if}
						{/if}
						
						{if $type == 'offers'}
							<td>
								<span aria-hidden="true" data-icon="&#xe01f;"></span><br />
								{if $idata.base.status_id != 0}<a href="index.php?p=show&iid={$idata.base.id}&setState=0">{'setToPending'|l}</a><br />{/if}
								{if $idata.base.status_id != 2}<a href="index.php?p=show&iid={$idata.base.id}&setState=2">{'setToAccepted'|l}</a><br />{/if}
								{if $idata.base.status_id != 1}<a href="index.php?p=show&iid={$idata.base.id}&setState=1">{'setToDenied'|l}</a><br />{/if}
								{if $idata.base.status_id != 3}<a href="index.php?p=show&iid={$idata.base.id}&setState=3">{'setToBilled'|l}</a>{/if}
							</td>
						{/if}

						{if $type == 'sales' || $type == 'deliveries'}
							<td>
								<span aria-hidden="true" data-icon="&#xe01f;"></span><br />
								{if $idata.base.status_id != 0}<a href="index.php?p=show&iid={$idata.base.id}&setState=0">{'setToPending'|l}</a><br />{/if}
								{if $idata.base.status_id != 1}<a href="index.php?p=show&iid={$idata.base.id}&setState=1">auf versendet setzen</a><br />{/if}
							</td>
						{/if}
						
						{* PDF *}
						{if $pdffile == 1}
							<td>
                                <span aria-hidden="true" data-icon="&#xe01b;"></span><br />
								<a href="{$link_pdffile}" target="_blank">{'showPDF'|l}</a><br />
								{if $pdfbfile == 1}<a href="{$link_pdfbfile}" target="_blank">{'showBlankPDF'|l}</a><br />{/if}
								<a href="index.php?p=show&iid={$idata.base.id}&createpdf=1">{'refreshPDF'|l}</a><br />
							</td>
						{else}
							<td>
                                <span aria-hidden="true" data-icon="&#xe01b;"></span><br />
								<a href="index.php?p=show&iid={$idata.base.id}&createpdf=1">{'createPDF'|l}</a><br />
							</td>
						{/if}
						
						{* MAILING *}
						<td>
                            <span aria-hidden="true" data-icon="&#xe00e;"></span><br />
							<a href="index.php?p=show&iid={$idata.base.id}&spool=1">{'sendPDF'|l}</a>
						</td>
						
						{* DEBIT ENTRY *}
						{if $type == 'invoices' && $idata.base.status_id == 0 && $customer.dtaus}
							{if $idata.inDTAUS == 1}
								{if $idata.inDTAUSArchive == 1}
									<td class="gray">
                                        <span aria-hidden="true" data-icon="&#xe00c;" class="deactivated"></span><br />
										{'debitEntriesArchive'|l}
									</td>
								{else}
									<td>
                                        <span aria-hidden="true" data-icon="&#xe00c;" class="inactive"></span><br />
										<a href="index.php?p=show&iid={$idata.base.id}&removeDTAUS=1">{'btn_removeDebitEntry'|l}</a>
									</td>
								{/if}
							{else}
								<td>
                                    <span aria-hidden="true" data-icon="&#xe00c;"></span><br />
									<a href="index.php?p=show&iid={$idata.base.id}&addDTAUS=1">{'btn_createDebitEntry'|l}</a>
								</td>
							{/if}
						{/if}
						
						{* OFFER OPTIONS *}
						{if $type == 'offers'}
							<td>
                                <span aria-hidden="true" data-icon="&#xe004;"></span><br />
								<a href="index.php?p=show&iid={$idata.base.id}&copyToSale=1">Angebot wird Auftrag</a><br />
								<a href="index.php?p=show&iid={$idata.base.id}&copyToDelivery=1">Angebot wird Lieferschein</a><br />
								<a href="{$path}contract/index.php?p=new&oid={$idata.base.id}">Angebot wird Serienvorlage</a><br />
								<a href="index.php?p=show&iid={$idata.base.id}&copyToInvoice=1">{'btn_copyOfferToInvoice'|l}</a><br />
								<a href="index.php?p=show&iid={$idata.base.id}&duplicate=1">{'btn_duplicateOffer'|l}</a>
							</td>
						{/if}
						
						{* INVOICE OPTIONS *}
						{if $type == 'invoices'}
							<td>
                                <span aria-hidden="true" data-icon="&#xe004;"></span><br />
								<a href="index.php?p=show&iid={$idata.base.id}&copyToOffer=1">Rechnung wird Angebot</a><br />
								<a href="index.php?p=show&iid={$idata.base.id}&copyToDelivery=1">Rechnung wird Lieferschein</a><br />
								<a href="index.php?p=show&iid={$idata.base.id}&copyToRefund=1">{'btn_invoiceBecomesRefund'|l}</a><br />
								<a href="index.php?p=show&iid={$idata.base.id}&duplicate=1">{'btn_duplicateInvoice'|l}</a>
							</td>
						{/if}

						{* REFUNDS OPTIONS *}
						{if $type == 'refunds'}
							<td>
                                <span aria-hidden="true" data-icon="&#xe004;"></span><br />
								<a href="index.php?p=show&iid={$idata.base.id}&duplicate=1">{'btn_duplicateRefund'|l}</a>
							</td>
						{/if}

						{* SALE OPTIONS *}
						{if $type == 'sales'}
							<td>
								<span aria-hidden="true" data-icon="&#xe004;"></span><br />
								<a href="index.php?p=show&iid={$idata.base.id}&copyToDelivery=1">Auftrag wird Lieferschein</a><br />
								<a href="index.php?p=show&iid={$idata.base.id}&copyToInvoice=1">Auftrag wird Rechnung</a><br />
								<a href="index.php?p=show&iid={$idata.base.id}&duplicate=1">Auftrag duplizieren</a>
							</td>
						{/if}

						{* DELIVERY OPTIONS *}
						{if $type == 'deliveries'}
							<td>
								<span aria-hidden="true" data-icon="&#xe004;"></span><br />
								<a href="index.php?p=show&iid={$idata.base.id}&duplicate=1">Lieferschein duplizieren</a>
							</td>
						{/if}

						
					</tr>
				</table>
			</div>
			
		{/if}

		{if $googlecloudprint && $pdffile == 1}
			<div id="cloudPrint" class="ui-widget-header">
				PDF-Dokument über Google Cloud Print drucken:
				&nbsp;&nbsp;
				<a href="#" onclick="googlePDFCloudprint('{$link_pdffile}','{$titel} {$idata.base.invoiceno} {'fromInvoice'|l} {$idata.base.created|date_format}'); return false;"><span aria-hidden="true" data-icon="&#xe01d;"></span></a>
				&nbsp;&nbsp;
				{if $pdfbfile == 1}
					<a href="#" onclick="googlePDFCloudprint('{$link_pdfbfile}','{$titel} {$idata.base.invoiceno} {'fromInvoice'|l} {$idata.base.created|date_format}'); return false;"><span aria-hidden="true" data-icon="&#xe01d;" class="inactive"></span></a>
				{/if}
            </div>
		{/if}

		{* DOCUMENT CONTENT *}		
		<div class="paperBoxContainer">
			<div class="paperBox">
				{* CUSTOMER *}
				<div style="float:left; width:250px;">
					{if $type == 'contracts'}
						{if $customer.customerno}<strong>{'th_customersNo'|l}:</strong> {$customer.customerno}{/if}
						<a href="{$path}customer/index.php?p=showcustomer&cid={$idata.base.customers_id}" title="{'recurrenceIsLinkedToCustomerX'|l:$customer.customerno}"><span aria-hidden="true" data-icon="&#xe014;"></span></a><br />
						{if $customer.company}{$customer.company}{/if}
						{if $customer.lastname || $customer.firstname}<br />{/if}
						{if $customer.lastname}{$customer.lastname}{/if}{if $customer.lastname && $customer.firstname}, {/if}{if $customer.firstname}{$customer.firstname}{/if}
					{else}
						{if $idata.base.customerno}<strong>{'customersNo'|l}:</strong> {$idata.base.customerno}{/if}
						{if $idata.base.customers_id}
							<a href="{$path}customer/index.php?p=showcustomer&cid={$idata.base.customers_id}" title="{if $type == 'invoices'}{'invoiceIsLinkedToCustomerX'|l:$customer.customerno}{/if}{if $type == 'offers'}{'offerIsLinkedToCustomerX'|l:$customer.customerno}{/if}{if $type == 'refunds'}{'refundIsLinkedToCustomerX'|l:$customer.customerno}{/if}">
                        	<span aria-hidden="true" data-icon="&#xe014;"></span></a><br />
						{/if}
						<br />
						{if $idata.base.recipient_txt}
							{$idata.base.recipient_txt|nl2br}
						{else}
							<span class="bold warning">{'noAddressGiven'|l}</span><br />
							{if $idata.base.status_id == 0}<p><a href="index.php?p=edit&iid={$idata.base.id}" class="btn btn-small btn-info">{'edit'|llower}</a></p>{/if}
						{/if}
					{/if}
				</div>

				{* CUSTOMER TYPE *}
				<div style="float:left; width: 200px;">
					{if $type != 'contracts' && $customer}
						<strong>{'typOfCustomer'|l}:</strong> {if $customer.typ == 0}{'businessClient'|l}{elseif $customer.typ == 1}{'privateCustomer'|l}{/if}<br />
					{/if}
				</div>

				{* DOCUMENT DETAILS *}
				<table style="float:right; width: 220px; line-height: 1.5em; border-collapse: collapse;">
					<tr>
						<th>
							{if $type == 'contracts'}{'th_contractNo'|l}:{/if}
							{if $type == 'offers'}{'th_offerNo'|l}:{/if}
							{if $type == 'invoices'}{'th_invoiceNo'|l}:{/if}
							{if $type == 'refunds'}{'th_refundNo'|l}:{/if}
							{if $type == 'sales'}Auftrags-Nr.:{/if}
							{if $type == 'deliveries'}Lieferschein-Nr.:{/if}
						</th>
						<td>{$idata.base.invoiceno}</td>
					</tr>
					<tr>
						<th>{if $type == 'contracts'}{'th_creationDate'|l}{else}{'th_date'|l}{/if}:</th>
						<td>{$idata.base.created|date_format}</td>
					</tr>

					{if $type == 'offers'}
					<tr>
						<th>{'th_validUntil'|l}:</th>
						<td>{$idata.base.validuntil|gsalesdateformat:'-'}</td>
					</tr>
					{/if}

					{if $type == 'invoices'}
					<tr>
						<th>{'th_deliveryDate'|l}:</th>
						<td>{$idata.base.deliverydate|gsalesdateformat:'-'}</td>
					</tr>
					<tr>
						<th>{'dateOfPayment'|l}:</th>
						<td>{$idata.base.payable|gsalesdateformat:'-'}</td>
					</tr>
					{/if}

					{* STATUS *}
					{if $type == 'invoices' || $type == 'refunds'}
					<tr>
						<th>Status:</th>
						<td>
							{assign var='statustime' value=$idata.base.status_date|date_format}
							{* OPEN *}
							{if $idata.base.status_id == 0}
							    <div class="labelOverview ui-corner-all invoice0 noMargin">{'status_pending'|l}</div>
							{* CANCELED *}
							{elseif $idata.base.status_id == 2}
							    <a href="index.php?p=edit&iid={$idata.base.id}" title="<strong>{'canceledAtX'|l:$statustime}</strong><br /><br />{if $idata.base.storno_txt}{$idata.base.storno_txt|nl2br}{else}<em>{'withoutReason'|l}</em>{/if}" class="tip labelOverview ui-corner-all invoice2 noMargin">{'status_canceled '|l}</a>
							{* PAID *}
							{elseif $idata.base.status_id == 1}
							    <div title="<strong>{'paidAtX'|l:$statustime}</strong>" class="tip labelOverview ui-corner-all invoice1 noMargin">{'status_paid'|l}</div>
							{/if}
						</td>
					</tr>
					{/if}

					{if $type == 'offers'}
						<tr>
							<th>Status:</th>
							<td>
								{assign var='statustime' value=$idata.base.status_date|date_format}
								{* OPEN *}
								{if $idata.base.status_id == 0}
									<div class="labelOverview ui-corner-all offer0 noMargin">offen</div>
								{* NO DEAL *}
								{elseif $idata.base.status_id == 1}
									<div class="labelOverview ui-corner-all offer1 noMargin">x</div>
								{* DEAL *}
								{elseif $idata.base.status_id == 2}
									<div class="labelOverview ui-corner-all offer2 noMargin">ok</div>
								{* INVOICED / FINISHED *}
								{elseif $idata.base.status_id == 3}
									<div class="labelOverview ui-corner-all offer3 noMargin">abger.</div>
								{/if}
							</td>
						</tr>
					{/if}

					{if $type == 'sales' || $type == 'deliveries'}
						<tr>
							<th>Status:</th>
							<td>
								{assign var='statustime' value=$idata.base.status_date|date_format}
								{* OPEN *}
								{if $idata.base.status_id == 0}
									<div class="labelOverview ui-corner-all sale0 noMargin">offen</div>
								{* SENT *}
								{elseif $idata.base.status_id == 1}
									<div class="labelOverview ui-corner-all sale1 noMargin">versendet</div>
								{/if}
							</td>
						</tr>
					{/if}



				</table>

				<br class="clear" />

				{* MAIL REMINDER *}
				{if $type == 'invoices' && $customer.mail_invoices == 1}<p><em>{'customerReceivesInvoicesByEmail'|l}</em></p>{/if}

				<br />
				{* INTRODUCTION *}
				{if $idata.base.i_pre_txt && $type != 'contracts'}
					<p>
						<strong>{'introText'|l}</strong><br />
						{$idata.base.i_pre_txt|nl2br}<br />
						<br />
					</p>
				{/if}

				{* ADD NEW POSITION *}
				{if $idata.base.status_id == 0}
					{if $usercanedit}

						<div class="btn-group">
							<a href="#" id="aiilink" class="btn btn-small btn-info">{'btn_addNewItem'|l}</a>
							{if $type != 'contracts'}<a href="index.php?p=show&iid={$idata.base.id}&addHeadline=1" class="btn btn-small btn">{'btn_insertHeadline'|l}</a>{/if}
						</div>
						<br /><br />

					{/if}
					<div id="aiibox">
						<ul>
							<li><a href="#imanual"><span>{'manualEntry'|l}</span></a></li>
							<li><a href="#iarticle"><span>{'addFromArticle'|l}</span></a></li>
							{if $idata.base.customers_id != 0 && $type == 'invoices'}<li><a href="#iqueue"><span>{'fromQueue'|l}</span></a></li>{/if}
							{if $type == 'invoices'}<li><a href="#mite"><span>{'addFromMite'|l}</span></a></li>{/if}
						</ul>
						<div id="imanual">{include file="core/partStandardForm.tpl" f=$content.newInvoiceItem l='btn_SaveItem'|l}</div>
						<div id="iarticle">{include file="core/partViews.tpl" arr=$invoicearticle onlyFilter=1}{include file="core/partOverviewTable.tpl" arr=$invoicearticle}</div>
						{if $idata.base.customers_id != 0 && $type == 'invoices'}
							<div id="iqueue">{include file="core/partViews.tpl" arr=$invoicequeue onlyFilter=1}{include file="core/partOverviewTable.tpl" arr=$invoicequeue}</div>
						{/if}
						{if $type == 'invoices'}<div id="mite">{include file="core/partMiteImport.tpl" noCustomer=true}</div>{/if}
					</div>
				{/if}

				{* CURRENCY *}
				{if $idata.base.curr_id != 0}
					<div class="hint">
						{assign var='currrate' value=$idata.base.curr_rate|gsalesfloat}
						{'convertedToXWithRateY'|l:$currrate:$idata.base.curr_symbol}
					</div>
				{/if}

				{* TABLE HEADER *}
				{if $type != 'deliveries'}
					<div class="docTableHead ui-helper-clearfix">
						<div class="docCol1">&nbsp;</div>
						<div class="docCol2">&nbsp;</div>
						<div class="docCol3">&nbsp;</div>
						<div class="docCol4 right">{'th_unitPrice_short'|l}</div>
						<div class="docCol5 center">{'th_discount'|l}</div>
						<div class="docCol6 center">{'th_tax'|l}</div>
						<div class="docCol7 right">{'total'|l}</div>
					</div>
				{/if}

				{if $idata.base.status_id == 0}
					<form method="post" action="{$smarty.server.REQUEST_URI}" id="bulkActions" >
					<input type="hidden" name="submitted" value="bulkActions" />
				{/if}

				{* TABLE BODY *}
				<ul id="{if $idata.base.status_id == 0 && $idata.pos && $usercanedit}myList{else}noSort{/if}">
					{foreach key=pkey item=p from=$idata.pos name=pos1}
						<li id="pos_{$p.id}">
							{if $idata.base.status_id == 0 && $usercanedit}<img src="{$path}lib/img/icon_grip.gif" alt="{'changeSort'|l}" class="sortGrip" />{/if}
							{if $editpos == $p.id}

								{if $p.headline == 1}

									<form method="post" action="{$smarty.server.REQUEST_URI}" id="{$content.editII.formid}">
										<div class="docTableBody bgHighlight ui-helper-clearfix">
											<div class="docCol1">&nbsp;</div>
											<div class="docCol2">&nbsp;</div>
											<div class="docCol36">{$content.editII.element.pos_txt.output}</div>
											<div class="docCol7 right">
												<input type="hidden" name="submitted" value="{$content.editII.formid}">
												<input type="submit" value="{'btn_save'|llower}" class="btn btn-mini btn-info">
											</div>
										</div>
									</form>

									<script type="text/javascript">$(window).load(function(){literal}{{/literal} $('#pos_{$p.id} input:first').focus(); {literal}}{/literal});</script>

								{else}

									<form method="post" action="{$smarty.server.REQUEST_URI}" id="{$content.editII.formid}" class="form-horizontal">

										<div class="docTableBody bgHighlight ui-helper-clearfix">

											<table class="docTableEdit">
												<tr>
													<td class="docCol1">{$content.editII.element.quantity.output}</td>
													<td class="docCol2">{$content.editII.element.unit.output}</td>
													<td class="docCol3">{$content.editII.element.pos_txt.output}</td>


													{if $type != 'deliveries'}
														<td class="docCol4">
															<div class="input-append">
																{$content.editII.element.price.output}
																<span class="add-on">{$currencySymbol}</span>
															</div>
														</td>
														<td class="docCol5">
															<div class="input-append">
																{$content.editII.element.discount.output}
																<span class="add-on">%</span>
															</div>
														</td>
														<td class="docCol6">
															{$content.editII.element.tax.output}
														</td>
													{/if}

													<td class="docCol7">
														<input type="hidden" name="submitted" value="{$content.editII.formid}">
														<input type="submit" value="{'btn_save'|llower}" class="btn btn-small btn-info">
													</td>


												</tr>

												{if $type == 'contracts'}
													<tr>
														<td colspan="7">
															<div class="control-group">
																<div class="controls">
																	<label class="checkbox">
																		{$content.editII.element.not_per_interval.output} {'amountIsIndependentOfInterval'|l}
																	</label>
																</div>
															</div>
														</td>
													</tr>
													<tr>
														<td colspan="7">{$content.editII.element.tags.output}</td>
													</tr>
												{/if}
												{if $type == 'offers'}
													<tr>
														<td colspan="7">
															<div class="control-group">
																<div class="controls">
																	<label class="checkbox">
																		{$content.editII.element.optional.output} {'optionalOfferItem'|l}
																	</label>
																</div>
															</div>
														</td>
													</tr>
												{/if}
											</table>
										</div>
									</form>

									<script type="text/javascript">$(window).load(function(){literal}{{/literal} $('#pos_{$p.id} input:first').focus(); {literal}}{/literal});</script>

								{/if}

							{else}

								{if $p.headline == 1}

									<div class="docTableBody ui-helper-clearfix">
										<div class="docCol1 center">{if $idata.base.status_id == 0 && $editpos == false}<input type="checkbox" name="bulk_{$p.id}" />{else}&nbsp;{/if}</div>
										<div class="docCol2">&nbsp;</div>
										<div class="docCol37">
											<strong>{$p.pos_txt}</strong>
											<br />{if $idata.base.status_id == 0 && $usercanedit} <a href="index.php?p=show&iid={$idata.base.id}&epos={$p.id}#pos_{$p.id}" class="btn btn-mini">{'edit'|llower}</a>{/if}
										</div>
									</div>

								{else}

									<div class="docTableBody ui-helper-clearfix" {if $p.optional == 1}style="background-color: #fffff1;"{/if}>
										<div class="docCol1 center">{if $idata.base.status_id == 0 && $editpos == false}<input type="checkbox" name="bulk_{$p.id}" />{else}&nbsp;{/if}</div>
										<div class="docCol2">
											{if $type == 'contracts' && $p.not_per_interval==1}<span class="bold warning tip" title="{'amountIsIndependentOfIntervalAndIsNotMultiplicated'|l}">!</span>&nbsp;&nbsp;{/if} {$p.quantity|gsalesfloat} {$p.unit}
											{if $type == 'contracts' && $p.not_per_interval!=1}<br /><span class="gray">{$p.quantity*$idata.base.interval|gsalesfloat} {$p.unit}{/if}
										</div>

										{if $type == 'deliveries'}
											<div class="docCol37">
										{else}
											<div class="docCol3">
										{/if}
											{$p.pos_txt|nl2br}
											{if $idata.base.status_id == 0 && $usercanedit}
												<br /><a href="index.php?p=show&iid={$idata.base.id}&epos={$p.id}#pos_{$p.id}" class="btn btn-mini">{'edit'|llower}</a>
											{/if}
										</div>

										{if $type != 'deliveries'}
											<div class="docCol4 right">
												{if $p.optional == 1}({/if}{$p.price|gsalescurrency:false:true}{if $p.optional == 1}){/if}
												{if $idata.base.curr_id != 0}<br /><span class="gray">{if $p.optional == 1}({/if}{$p.curr_price|gsalesforeigncurrency:$idata.base.curr_symbol:false:$idata.base.curr_spacing:$idata.base.curr_before_number}{if $p.optional == 1}){/if}</span>{/if}
											</div>
											<div class="docCol5 center">{$p.discount|gsalesfloat}%</div>
											<div class="docCol6 center">{if $idata.customerdata.salestaxfree == 1 && $p.tax > 0}<span aria-hidden="true" data-icon="&#xe010;" class="tip" title="{'customerIsFreeOfSalesTax'|l}"></span></a>{/if} {$p.tax|gsalesfloat}%

	                                        </div>
											<div class="docCol7 right">
												{if $p.optional == 1}({/if}{$p.rounded_tprice|gsalescurrency}{if $p.optional == 1}){/if}
												{if $idata.base.curr_id != 0}<br /><span class="gray">{if $p.optional == 1}({/if}{$p.rounded_curr_tprice|gsalesforeigncurrency:$idata.base.curr_symbol:false:$idata.base.curr_spacing:$idata.base.curr_before_number}{if $p.optional == 1}){/if}</span>{/if}
												{if $type == 'contracts' && $p.not_per_interval!=1}<br /><span class="gray">{$p.rounded_tprice_interval|gsalescurrency}</span>{/if}
												{if $p.eprice && $idata.base.status_id == 0 && $p.eprice > 0}
													{if $p.percent_win > 0}<br /><span class="cGreen">+{$p.percent_win}%</span>{/if}
													{if $p.percent_win < 0}<br /><span class="cRed">{$p.percent_win}%</span>{/if}
													{if $p.percent_win == 0}<br /><span class="cRed">0%</span>{/if}
												{/if}
											</div>
										{/if}

									</div>

								{/if}

							{/if}
						</li>
					{/foreach}
				</ul>

				{* BULK ACTIONS *}
				{if $idata.base.status_id == 0 && $editpos == false && $usercanedit}
					<div class="docTableBody ui-helper-clearfix">
						{$content.bulkActions.element.bAction.output} &nbsp;<input type="submit" value="{'apply'|llower}" class="btn btn-mini" /></form>
					</div>
				{/if}

				{if $type != 'deliveries'}

					{* NET AMOUNT *}
					<div class="docTableFoot ui-helper-clearfix">
						<div class="bold">
						{if $type == 'contracts'}
							{'netAmountOfRecurrence'|l}
						{else}
							{'netAmount'|l}
						{/if}
						</div>
						<div class="docCol7 floatR right bold">
							{$idata.summ.rounded_net|gsalescurrency}
							{if $idata.base.curr_id != 0}
								<br /><span class="gray"> {$idata.summ.rounded_curr_net|gsalesforeigncurrency:$idata.base.curr_symbol:false:$idata.base.curr_spacing:$idata.base.curr_before_number}</span>
							{/if}
							{if $type == 'contracts'}<br /><span class="gray">{$idata.summ.net|gsalescurrency}</span>{/if}
						</div>
					</div>

					{if $type == 'contracts'}
						<p class="gray">{'grayValueTakeAccountOfInterval'|l}</p>
					{/if}

					{if $type != 'contracts'}

						{* DISCOUNT *}
						<div class="docTableFoot ui-helper-clearfix">
							<div>{'includedDiscount'|l}</div>
							<div class="docCol7 floatR right">
								{$idata.summ.rounded_discount|gsalescurrency}
								{if $idata.base.curr_id != 0}
									<br /><span class="gray"> {$idata.summ.rounded_curr_discount|gsalesforeigncurrency:$idata.base.curr_symbol:false:$idata.base.curr_spacing:$idata.base.curr_before_number}</span>
								{/if}
							</div>
						</div>

						{* TAXES *}
						<div style="background-color:#d6e8f3;" class="docTableFoot ui-helper-clearfix">
							<div>{'plusTax'|l}</div>
							<div class="docCol7 floatR right">
								{$idata.summ.rounded_tax|gsalescurrency}
								{if $idata.base.curr_id != 0}
									<br /><span class="gray"> {$idata.summ.rounded_curr_tax|gsalesforeigncurrency:$idata.base.curr_symbol:false:$idata.base.curr_spacing:$idata.base.curr_before_number}</span>
								{/if}
							</div>
						</div>

						{* TOTAL AMOUNT *}
						<div style="background-color:#c0dcec;" class="docTableFoot ui-helper-clearfix">
							<div class="bold">{'th_sumTotal'|l}</div>
							<div class="docCol7 floatR right bold">
								{$idata.summ.rounded_gross|gsalescurrency}
								{if $idata.base.curr_id != 0}
									<br /><span class="gray"> {$idata.summ.rounded_curr_gross|gsalesforeigncurrency:$idata.base.curr_symbol:false:$idata.base.curr_spacing:$idata.base.curr_before_number}</span>
								{/if}
							</div>
						</div>

						{* PART PAYMENT *}
						{if $idata.base.partialpayment != 0}
							<div style="background-color:#c0dcec;" class="docTableFoot ui-helper-clearfix">
								<div style="width:490px;" class="bold">{'didPartialPayments'|l}</div>
								<div style="width:155px;" class="right bold">{$idata.base.partialpayment|gsalescurrency}</div>
							</div>
						{/if}

					{/if}

				{/if}

				{* CONCLUSION *}
				{if $idata.base.i_post_txt}
					<p>
						<br />
						<strong>{'finalText'|l}</strong><br />
						{$idata.base.i_post_txt|nl2br}<br />
					</p>
				{/if}

			</div>
		</div>

	</div>
	
	{if $type == 'invoices'}
		{* REMINDERS *}
		<div id="dunning">

			<table class="stdForm noMargin" style="width:600px;">
				<tr>
					<td class="headline2" colspan="5"><h3>{'th_internalDunning'|l}</h3></td>
				</tr>
				<tr class="bold">
					<td class="noBg">{'th_dunningLevel'|l}</td>	
					<td style="width:150px;" class="noBg">{'th_created'|l}</td>	
					<td style="width:25px;" class="noBg">&nbsp;</td>
					<td style="width:25px;" class="noBg">&nbsp;</td>
					<td style="width:100px;" class="noBg right">{'th_fees'|l}</td>	
				</tr>
				<tr class="row1">
					<td>{'infoMail'|l}</td>
					<td colspan="4">{$dunning.created0|gsalesdateformat:"-"}</td>
				</tr>
				<tr>
					<td>{'firstDunning'|l}</td>
					<td>{$dunning.created1|gsalesdateformat:"-"}</td>
					<td>{if $dunning.pdf1}<a href="{$dunning.pdf1}" target="_blank"><span aria-hidden="true" data-icon="&#xe01b;"></span><br /></a>{/if}</td>
					<td>{if $dunning.pdf1b}<a href="{$dunning.pdf1b}" target="_blank"><span aria-hidden="true" data-icon="&#xe01b;" class="inactive"></span><br /></a>{/if}</td>
					<td class="right">{if $dunning.created1}{$dunning.fee1|gsalescurrency}{/if}</td>
				</tr>
				<tr class="row1">
					<td>{'secondDunning'|l}</td>
					<td>{$dunning.created2|gsalesdateformat:"-"}</td>
					<td>{if $dunning.pdf2}<a href="{$dunning.pdf2}" target="_blank"><span aria-hidden="true" data-icon="&#xe01b;"></span><br /></a>{/if}</td>
					<td>{if $dunning.pdf2b}<a href="{$dunning.pdf2b}" target="_blank"><span aria-hidden="true" data-icon="&#xe01b;" class="inactive"></span></a>{/if}</td>
					<td class="right">{if $dunning.created2}{$dunning.fee2|gsalescurrency}{/if}</td>
				</tr>
				<tr>
					<td>{'thirdDunning'|l}</td>
					<td>{$dunning.created3|gsalesdateformat:"-"}</td>
					<td>{if $dunning.pdf3}<a href="{$dunning.pdf3}" target="_blank"><span aria-hidden="true" data-icon="&#xe01b;"></span><br /></a>{/if}</td>
					<td>{if $dunning.pdf3b}<a href="{$dunning.pdf3b}" target="_blank"><span aria-hidden="true" data-icon="&#xe01b;" class="inactive"></span></a>{/if}</td>
					<td class="right">{if $dunning.created3}{$dunning.fee3|gsalescurrency}{/if}</td>
				</tr>
				<tr>
					<td colspan="4" class="noBg">&nbsp;</td>
				</tr>			
				<tr class="bold row1">
					<td colspan="4">{'invoiceTotal'|l}</td>
					<td class="right">{$dunning.amount|gsalescurrency}</td>
				</tr>
				<tr>
					<td colspan="4">{'lessPartialPayments'|l} <a href="index.php?p=edit&iid={$idata.base.id}" class="btn btn-mini btn-info">{'edit'|llower}</a></td>
					<td class="right">{$dunning.partialpayment|gsalescurrency}</td>
				</tr>
				<tr class="row1">
					<td colspan="4">{'plusOverdueFines'|l}</td>
					<td class="right">{$dunning.usedFee|gsalescurrency}</td>
				</tr>
				<tr class="bold">
					<td colspan="4">{'th_pendingAmount'|l}</td>
					<td class="right">{$dunning.amount-$dunning.partialpayment+$dunning.usedFee|gsalescurrency}</td>
				</tr>
			</table>
			
			{if $dunning.mediafinanz_file}
				
				<table class="stdForm noMargin" style="width:600px;">
					<tr>
						<td class="headline2" colspan="2"><h3>mediafinanz Inkasso</h3></td>
					</tr>
					<tr class="row1">
						<td style="width:200px;">{'head_incident'|l}</td>
						<td>{$dunning.mediafinanz_file}</td>
					</tr>
					
					{if $dunning.mfState == false}
						<tr>
							<td><strong>mediafinanz API</strong></td>
							<td>{'gotNoReturn'|l}</td>
						</tr>
					{else}
						<tr>
							<td>{'th_currentStatus'|l}</td>
							<td>{$dunning.mfState.claimStatus.statusText}</td>
						</tr>
						<tr class="bold row1">
							<td>{'th_totalReceivables'|l}</td>
							<td class="right">{$dunning.mfState.claimAccountingSummary.totalDebts|gsalescurrency}</td>
						</tr>
						<tr>
							<td>{'paidUntilNow'|l}</td>
							<td class="right">{$dunning.mfState.claimAccountingSummary.paid|gsalescurrency}</td>
						</tr>
						<tr class="bold row1">
							<td>{'th_pendingAmount'|l}</td>
							<td class="right">{$dunning.mfState.claimAccountingSummary.outstanding|gsalescurrency}</td>
						</tr>					
						<tr>
							<td>{'th_currentPayout'|l}</td>
							<td class="right">{$dunning.mfState.claimAccountingSummary.currentPayout|gsalescurrency}</td>
						</tr>				
						<tr class="row1">
							<td>{'th_sumPayout'|l}</td>
							<td class="right">{$dunning.mfState.claimAccountingSummary.sumPayout|gsalescurrency}</td>
						</tr>
						<tr>
							<td class="headline2" colspan="2"><h3>{'head_mediafinanzInkassoMessages'|l}</h3></td>
						</tr>
						{foreach key=k item=m from=$dunning.mfState.messageHistory name=mfn}
							<tr {if $smarty.foreach.mfn.index%2==0}class="row1"{/if}>
								<td colspan="2">
									<p class="bold">{'xUsernameAtYTime'|l:$m.sender:$m.time}: {$m.subject}</p>
									{$m.text}
								</td>
							</tr>
						{/foreach}					
					{/if}
					
				</table>				
			{/if}
			
		</div>
	{/if}
	
	<div id="comments">
		{include file="core/partComments.tpl" arr=$comments}
	</div>
	<div id="history">
		{include file="core/partHistory.tpl" arr=$history}
	</div>

</div>

{literal}
<script type="text/javascript">

    $(document).ready(function(){

    	$("#aiibox").dialog({
    		title: '{/literal}{'th_addItem'|l}{literal}',
    		width: 900,
    		height: 575
    	});

    	$('#aiibox').tabs();

    	if(self.document.location.hash == '#imanual' || self.document.location.hash == '#iarticle' || self.document.location.hash == '#iqueue' || self.document.location.hash == '#mite'){
    		$("#aiibox").dialog("open");
    	}

    	$("#aiilink").click(function(e){
    		e.preventDefault();
    		$("#aiibox").dialog("open");
    		removeUiClasses();
    	});

    	$("#myList").sortable({
    		revert: false,
    		containment: 'document',
    		handle: 'img.sortGrip',
    		update: function(e,ui){
    			saveInvoiceItemsList({/literal}{$idata.base.id}{literal},$(this).sortable('serialize'),'{/literal}{$idata.caller}{literal}');
    		}
    	});

    });
    
</script>
{/literal}